aboutsummaryrefslogtreecommitdiffstats
path: root/main/audacity/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2015-09-14 13:21:04 +0200
committerNatanael Copa <ncopa@alpinelinux.org>2015-09-14 13:25:30 +0200
commit567085595974ab0c33551dc4e138f747829b968f (patch)
tree3a37344d4b4aaf95e1fcd2e2de9c8c79dd92b36b /main/audacity/APKBUILD
parentb7907f7617dead5d20642d065c15cf67310f5571 (diff)
downloadaports-567085595974ab0c33551dc4e138f747829b968f.tar.gz
aports-567085595974ab0c33551dc4e138f747829b968f.tar.bz2
aports-567085595974ab0c33551dc4e138f747829b968f.tar.xz
main/audacity: upgrade to 2.1.1
Diffstat (limited to 'main/audacity/APKBUILD')
-rw-r--r--main/audacity/APKBUILD33
1 files changed, 24 insertions, 9 deletions
diff --git a/main/audacity/APKBUILD b/main/audacity/APKBUILD
index ee7d62bf40..9e8cae8625 100644
--- a/main/audacity/APKBUILD
+++ b/main/audacity/APKBUILD
@@ -1,7 +1,7 @@
# Contributor: Natanael Copa <ncopa@alpinelinux.org>
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=audacity
-pkgver=2.1.0
+pkgver=2.1.1
pkgrel=0
pkgdesc="Multitrack audio editor"
url="http://audacity.sourceforge.net"
@@ -22,6 +22,7 @@ makedepends="$depends_dev
libsndfile-dev
libvorbis-dev
portaudio-dev
+ soundtouch-dev
soxr-dev
taglib-dev
wxgtk2.8-dev
@@ -29,11 +30,12 @@ makedepends="$depends_dev
install=""
subpackages="$pkgname-doc $pkgname-lang"
-source="http://sourceforge.net/projects/audacity/files/audacity-minsrc-$pkgver.tar.xz
+source="https://github.com/audacity/audacity/archive/Audacity-$pkgver.tar.gz
musl-workaround.patch
+ filedialog.patch
"
-_builddir="$srcdir"/audacity-minsrc-$pkgver
+_builddir="$srcdir"/audacity-Audacity-$pkgver
prepare() {
local i
cd "$_builddir"
@@ -54,14 +56,19 @@ build() {
*) _arch="--disable-sse";;
esac
+ LIBNYQUIST_USE_LOCAL=yes \
+ CFLAGS="$CFLAGS -fPIC" \
./configure \
--build=$CBUILD \
--host=$CHOST \
--prefix=/usr \
--sysconfdir=/etc \
--mandir=/usr/share/man \
+ --with-expat=system \
--with-lib-preference=system \
--with-libsndfile=system \
+ --with-libflac=system \
+ --with-coundtouch=system \
--with-soxr=system \
--with-id3tag=system \
--with-libvorbis=system \
@@ -71,8 +78,13 @@ build() {
--without-libresample \
--without-libsamplerate \
--without-ffmpeg \
+ --enable-nyquist \
$_arch \
|| return 1
+
+ for i in ffmpeg libsoxr libvamp portaudio-v19; do
+ rm -r lib-src/$i || return 1
+ done
make || return 1
}
@@ -81,9 +93,12 @@ package() {
make DESTDIR="$pkgdir" install || return 1
}
-md5sums="d21a794cc1e2a1567d3d75b53b1f2f02 audacity-minsrc-2.1.0.tar.xz
-f4d0e4b195c2f604cea8e8d696ffcc17 musl-workaround.patch"
-sha256sums="b0d98d89b38be233e88af81e1add649732484b6f8feec95dc5977accdde042b3 audacity-minsrc-2.1.0.tar.xz
-888e2a0c0055f11300ecaa550aff5ab1991dbce3b2dab0d05596c3b304b2c675 musl-workaround.patch"
-sha512sums="5ed441b567bc72a794d9d5a1248db137d1a6d019b5fcdcb8b536a509ecacbf5d85b50c2a0cad484f84053dff4ffa662027cca157fde4b18f9d53b2bd106c34b4 audacity-minsrc-2.1.0.tar.xz
-b5488a7f5398c07fe986e090b8d61353ecba594ed23fda6a4444e59718f7d1e8bd5c716047ce139350983d5609b5810362a78a2fd5d85e9b1730d196c57c685b musl-workaround.patch"
+md5sums="7cd627dc61da8b3698d234c96aee284d Audacity-2.1.1.tar.gz
+f4d0e4b195c2f604cea8e8d696ffcc17 musl-workaround.patch
+555ef97e2caf27ada49b13eb79b5f058 filedialog.patch"
+sha256sums="15c5ff7ac1c0b19b08f4bdcb0f4988743da2f9ed3fab41d6f07600e67cb9ddb6 Audacity-2.1.1.tar.gz
+888e2a0c0055f11300ecaa550aff5ab1991dbce3b2dab0d05596c3b304b2c675 musl-workaround.patch
+3cb764eec45ece3631c66546576746735a91b78e37d1ec608837bf568bee4647 filedialog.patch"
+sha512sums="00b0a037ffefb670e7148414224c60330c4fb915a892cb635537caeba82815d0113c5bb07f7b2805ed9b42a1a75106ef6fdc2f1602fd5042c48cc5e111a34ffb Audacity-2.1.1.tar.gz
+b5488a7f5398c07fe986e090b8d61353ecba594ed23fda6a4444e59718f7d1e8bd5c716047ce139350983d5609b5810362a78a2fd5d85e9b1730d196c57c685b musl-workaround.patch
+7f10b5f53ada9faa7ad887400a5729a41228f8970ee4cc045291e9b203a9f7f068b09f709e23f7f2a15724acf82ed0e4bccfd163b2232b430d2c89b86ccc2751 filedialog.patch"